Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1084526 - pyparted build failed on error: 'PED_PARTITION_HFS_ESP' undeclared
Summary: pyparted build failed on error: 'PED_PARTITION_HFS_ESP' undeclared
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pyparted
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-04-04 14:57 UTC by Menanteau Guy
Modified: 2014-06-13 15:53 UTC (History)
3 users (show)

Fixed In Version: pyparted-3.9.3-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 15:53:53 UTC


Attachments (Terms of Use)

Description Menanteau Guy 2014-04-04 14:57:16 UTC
Description of problem:
pyparted build failed

Version-Release number of selected component (if applicable):
pyparted-3.9.2-1.fc21
with
parted-3.1-17.fc21
installed

How reproducible:
rpmbuild -bb

Actual results:
creating build/temp.linux-ppc64le-2.7/src
...
gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -D_GNU_SOURCE -fPIC -fwrapv -fPIC -DPYPARTED_VERSION="3.9.2" -Iinclude -I/usr/include/python2.7 -c src/_pedmodule.c -o build/temp.linux-ppc64le-2.7/src/_pedmodule.o
src/_pedmodule.c: In function 'init_ped':
src/_pedmodule.c:523:53: error: 'PED_PARTITION_HFS_ESP' undeclared (first use in this function)
     PyModule_AddIntConstant(m, "PARTITION_HFS_ESP", PED_PARTITION_HFS_ESP);
                                                     ^
src/_pedmodule.c:523:53: note: each undeclared identifier is reported only once for each function it appears in
error: command 'gcc' failed with exit status 1

Additional info:
I didn't find what header provides PARTITION_HFS_ESP.
The only place where I see it is in parted but it seems not integrated yet.
see bug report:
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15356

Comment 1 Brian Lane 2014-04-04 16:03:41 UTC
Note that 3.1-17 has not yet been built for rawhide.

A patch to remove the HFS_ESP has been posted to the pyparted list though.

Comment 2 Jaromír Cápík 2014-05-07 15:53:53 UTC
Fails on primary too ...


Note You need to log in before you can comment on or make changes to this bug.